<%@ Control Language="vb" AutoEventWireup="false" Inherits="DotNetNuke.Modules.DreamSlider.TemplateEditor" %>
<%@ Register TagPrefix="DotNetNuke" TagName="Label" Src="Controls/labelcontrol.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>

<asp:Literal ID="ActiveTab" runat="server"></asp:Literal>
<br />

<div class="tabsdefaultdefault">
<div id="TabsAdminWrapper">
<ul id="TabsAdmin">
    <li><a href="#TabBasicSettings"><asp:Label ID="lblTabBasicSettings" runat="server" resourcekey="TabBasicSettings" Text="Basic Settings"></asp:Label></a></li>
    <li><a href="#TabFileManager"><asp:Label ID="lblFileManager" runat="server" resourcekey="TabFileManager" Text="File Manager"></asp:Label></a></li>
    <li><a href="#TabTemplate"><asp:Label ID="lblTemplate" runat="server" resourcekey="TabTemplate" Text="Template"></asp:Label></a></li>
    <li><a href="#TabStyle"><asp:Label ID="lblStyle" runat="server" resourcekey="TabStyle" Text="Style"></asp:Label></a></li>
</ul>

<div id="TabBasicSettings">
    <dnn:label id="plTemporary" runat="server"  />
    <table style="width: 100%;" cellspacing="0" cellpadding="0" class="normal">
        <tr>
            <td>
                <table style="width:370px;border: none;padding:10px 0px;" cellspacing="2" cellpadding="2">
                    <tr>
                        <td colspan="2">&nbsp;</td>
                    </tr>
                    <tr>
                        <td style="width: 150px;">
                            <DotNetNuke:Label ID="plName" runat="server" Text="Name" ControlName="txtName" Suffix=":"/>
                        </td>
                        <td style="width: 220px;">
                            <asp:TextBox ID="txtName" ReadOnly="true" EnableViewState="false" CssClass="DS-Textbox" Width="200" Columns="30" runat="server" />
                        </td>                    
                    </tr>
                    <tr>
                        <td>
                            <DotNetNuke:Label ID="plCategory" runat="server" Text="Category" ControlName="txtCategory" Suffix=":"/>
                        </td>
                        <td>
                            <asp:TextBox ID="txtCategory" EnableViewState="false" CssClass="DS-Textbox" Width="200" Columns="30" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <DotNetNuke:Label ID="plDescription" runat="server" Text="Description" ControlName="txtDescription" Suffix=":"/>
                        </td>
                        <td>
                            <asp:TextBox ID="txtDescription" EnableViewState="false" CssClass="DS-TextArea" Width="200" Columns="30" TextMode="MultiLine" Rows="4" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <DotNetNuke:Label ID="plAuthor" runat="server" Text="Author" ControlName="txtAuthor" Suffix=":"/>
                        </td>
                        <td>
                            <asp:TextBox ID="txtAuthor" EnableViewState="false" CssClass="DS-Textbox" Width="200" Columns="30" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <DotNetNuke:Label ID="plEmail" runat="server" Text="Email" ControlName="txtEmail" Suffix=":"/>
                        </td>
                        <td>
                            <asp:TextBox ID="txtEmail" EnableViewState="false" CssClass="DS-Textbox" Width="200" Columns="30" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <DotNetNuke:Label ID="plReleaseDate" runat="server" Text="ReleaseDate" ControlName="txtReleaseDate" Suffix=":"/>
                        </td>
                        <td>
                            <table style="padding: 0px; margin: 0px; border: 0px;" cellpadding="0" cellspacing="0">
                                <tr>
                                    <td>
                                        <asp:TextBox ID="txtReleaseDate" CssClass="DS-Textbox" runat="server" Width="180" MaxLength="15"></asp:TextBox>&nbsp;
                                    </td>
                                    <td>
                                        <asp:HyperLink ID="cmdReleaseDate" CssClass="CommandButton" runat="server">
                                            <asp:Image ID="imgReleaseDate" runat="server" />
                                        </asp:HyperLink>
                                        <asp:CompareValidator ID="valReleaseDate" CssClass="NormalRed" runat="server" ControlToValidate="txtReleaseDate" ErrorMessage="<br>Invalid start date!" Operator="DataTypeCheck" Type="Date" Display="Dynamic" ResourceKey="valReleaseDate.ErrorMessage"></asp:CompareValidator>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">&nbsp;</td>
                    </tr>
                </table>
            </td>
            <td style="text-align: center; vertical-align: middle;">

                <asp:Image ID="imgTemplate" runat="server" />

            </td>
        </tr>
    </table>
</div>

<div id="TabFileManager">
    <table style="width: 100%;" cellspacing="0" cellpadding="0" class="normal">
        <tr>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>
                <table style="width: 100%;border:1px solid #293b4f" cellspacing="2" cellpadding="2" class="normal">
                    <tr>
                        <td>
                            <div style="float: left; padding-left: 10px;" id="fmMenu">
                                <asp:LinkButton ID="cmdRefresh" runat="server">
                                    <asp:Image ID="imgRefresh" runat="server" CssClass="fileimage" />
                                    <asp:Label ID="lblRefresh" runat="server"></asp:Label>
                                </asp:LinkButton>&nbsp;
                                <asp:LinkButton ID="cmdCutFiles" runat="server">
                                    <asp:Image ID="imgCutFiles" runat="server" CssClass="fileimage" />
                                    <asp:Label ID="lblCutFiles" runat="server"></asp:Label>
                                </asp:LinkButton>&nbsp;
                                <asp:LinkButton ID="cmdCopyFiles" runat="server">
                                    <asp:Image ID="imgCopyFiles" runat="server" CssClass="fileimage" />
                                    <asp:Label ID="lblCopyFiles" runat="server"></asp:Label>
                                </asp:LinkButton>&nbsp;
                                <asp:LinkButton ID="cmdPasteFiles" runat="server">
                                    <asp:Image ID="imgPasteFiles" runat="server" CssClass="fileimage" />
                                    <asp:Label ID="lblPasteFiles" runat="server"></asp:Label>
                                </asp:LinkButton>&nbsp;
                                <asp:LinkButton ID="cmdDeleteFiles" runat="server" OnClientClick="return OnDeleteFilesClick()">
                                    <asp:Image ID="imgDeleteFiles" runat="server" CssClass="fileimage" />
                                    <asp:Label ID="lblDeleteFiles" runat="server"></asp:Label>
                                </asp:LinkButton>&nbsp;
                            </div>
                            <div style="float: right; padding: 3px 10px 0 5px;">
                                <asp:Label ID="lblError" runat="server" ForeColor="red" />
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top">
                            <asp:DataGrid ID="gridFileManager" runat="server" CellPadding="1" Width="100%" AutoGenerateColumns="False"
                                CssClass="Normal" BorderStyle="Solid" BorderWidth="1px" BorderColor="#CCCCCC"
                                AlternatingItemStyle-BackColor="#d7e3eb" SelectedItemStyle-BackColor="#DFE5F2"
                                HeaderStyle-BackColor="#6a8497" HeaderStyle-Font-Bold="true" HeaderStyle-Font-Names="Arial"
                                HeaderStyle-Height="20px" ItemStyle-Height="20px" AllowPaging="True" PageSize="15">
                                <AlternatingItemStyle BackColor="#D7E3EB"></AlternatingItemStyle>
                                <Columns>
                                    <asp:TemplateColumn HeaderStyle-Width="30px">
                                        <HeaderStyle CssClass="gridheader" />
                                        <ItemStyle HorizontalAlign="Center" />
                                        <ItemTemplate>
                                            <asp:CheckBox ID="chkChecked" runat="server"></asp:CheckBox>
                                        </ItemTemplate>
                                    </asp:TemplateColumn>
                                    <asp:TemplateColumn HeaderText="FileName" SortExpression="fileName" HeaderStyle-Width="420">
                                        <HeaderStyle CssClass="gridheader" />
                                        <ItemTemplate>
                                            <asp:Image ID="imgFileName" runat="server" CssClass="fileimage" CommandName="Select" />
                                            <asp:Label ID="lblFileName" runat="server" CssClass="filelable HasTooltip Normal" />
                                        </ItemTemplate>
                                        <EditItemTemplate>
                                            <asp:ImageButton ID="imgFileName" runat="server" BorderWidth="0" BorderStyle="None" />
                                            <asp:TextBox ID="txtEditName" runat="server" CssClass="NormalTextBox" Text='<% # DataBinder.Eval(Container.DataItem,"filename")%>' />
                                        </EditItemTemplate>
                                    </asp:TemplateColumn>
                                    <asp:TemplateColumn HeaderText="Size (KB)" SortExpression="Size" HeaderStyle-Width="60px">
                                        <HeaderStyle CssClass="gridheader" />
                                        <ItemTemplate>
                                            <asp:Label ID="Size" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"Size") %>'></asp:Label></ItemTemplate>
                                        <HeaderStyle HorizontalAlign="Center" CssClass="gridheader" />
                                        <ItemStyle CssClass="gridtext" />
                                    </asp:TemplateColumn>
                                    <asp:BoundColumn DataField="Date" SortExpression="Date" ReadOnly="True" HeaderText="Date"
                                        HeaderStyle-Width="120">
                                        <HeaderStyle CssClass="gridheader"></HeaderStyle>
                                        <ItemStyle CssClass="gridtext"></ItemStyle>
                                    </asp:BoundColumn>
                                    <asp:TemplateColumn HeaderStyle-Width="22px" ItemStyle-Width="22px">
                                        <HeaderStyle CssClass="gridheader" />
                                        <ItemTemplate>
                                            <asp:LinkButton ID="cmdUnzipFile" runat="server" CommandName="Unzip">
                                                <asp:Image ID="imgUnzipFile" runat="server" />
                                            </asp:LinkButton></ItemTemplate>
                                        <ItemStyle HorizontalAlign="left"></ItemStyle>
                                    </asp:TemplateColumn>
                                    <asp:TemplateColumn HeaderStyle-Width="22px" ItemStyle-Width="22px">
                                        <HeaderStyle Width="22px"></HeaderStyle>
                                        <ItemStyle HorizontalAlign="Center"></ItemStyle>
                                        <ItemTemplate>
                                            <asp:LinkButton ID="cmdDeleteFile" runat="server" CommandName="Delete" OnClientClick="return OnDeleteFileClick();">
                                                <asp:Image ID="imgDeleteFile" runat="server" />
                                            </asp:LinkButton>
                                        </ItemTemplate>
                                    </asp:TemplateColumn>
                                    <asp:TemplateColumn HeaderStyle-Width="22px" ItemStyle-Width="22px">
                                        <HeaderStyle Width="22px"></HeaderStyle>
                                        <ItemStyle HorizontalAlign="Center"></ItemStyle>
                                        <ItemTemplate>
                                            <a href="<%# GetDownloadPath(DataBinder.Eval(Container.DataItem,"linkpath").ToString()) %>" target="_blank">
                                                <asp:Image ID="imgDownloadFile" runat="server" />
                                            </a>
                                        </ItemTemplate>
                                    </asp:TemplateColumn>
                                </Columns>
                                <HeaderStyle BackColor="#6A8497" Font-Bold="True" Font-Names="Arial" Height="20px"
                                    Font-Italic="False" Font-Overline="False" Font-Size="Small" Font-Strikeout="False"
                                    Font-Underline="False" ForeColor="White"></HeaderStyle>
                                <ItemStyle Height="20px"></ItemStyle>
                                <PagerStyle Visible="false" />
                                <SelectedItemStyle BackColor="#DFE5F2"></SelectedItemStyle>
                            </asp:DataGrid>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div style="float: left; padding-left: 10px;">
                                <asp:Label ID="lblSpaceUsed" runat="server" />
                            </div>
                            <div style="float: right; padding-right: 10px;">
                                <table cellspacing="0" cellpadding="0" border="0">
                                    <tr valign="middle">
                                        <td style="width: 25px; text-align: center;">
                                            <asp:ImageButton ID="cmdNavFirst" runat="server" />
                                        </td>
                                        <td style="width: 25px; text-align: center;">
                                            <asp:ImageButton ID="cmdNavPrevious" runat="server" />
                                        </td>
                                        <td style="color: #000000;">
                                            <asp:Label ID="lblCounter" runat="server"></asp:Label>
                                        </td>
                                        <td style="width: 25px; text-align: center;">
                                            <asp:ImageButton ID="cmdNavNext" runat="server" />
                                        </td>
                                        <td style="width: 25px; text-align: center;">
                                            <asp:ImageButton ID="cmdNavLast" runat="server" />
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td style="border-top: solid #888 1px; background-color: #cfdee6; text-align: right;">
                            <asp:Label ID="lblUploadFile" runat="server" CssClass="Normal"></asp:Label>&nbsp;
                            <asp:FileUpload ID="uploadUploadFile" runat="server" CssClass="DS-Textbox" Width="300px" />&nbsp;
                            <asp:ImageButton ID="cmdUploadFile" runat="server" CommandName="Upload" />&nbsp;
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>&nbsp;</td>
        </tr>
    </table>
</div>

<div id="TabTemplate">  
     <table style="width: 100%;" cellspacing="2" cellpadding="2" class="normal">
        <tr>
            <td>
                <div style="position:relative;">
                    <asp:TextBox ID="txtTemplate" runat="server" TextMode="MultiLine" CssClass="DS-TextArea-Long" Width="640" height="445"></asp:TextBox>
                 
                    <div class="TokenHelp">
                        <a id="template-dialog-link" class='TemplateLink' href="#"></a>
                    </div>

                    <div class="dialog" id="template-dialog" title="Template Tokens">
                        <br />
                        <dnn:SectionHead ID="dshGlobalTokens" runat="server" Cssclass="Head" IncludeRule="True" IsExpanded="true" ResourceKey="dshGlobalTokens" Section="tblGlobalTokens" Text="Global Tokens"  />
                            <table id="tblGlobalTokens" runat="server" cellspacing="3" cellpadding="3" style="width:100%;font: normal arial 12px;">
                                    <tr>
                                        <td style="width: 220px;">[USER:FIRSTNAME]</td>
                                        <td style="width: 520px;"><asp:Label ID="lblToken_FIRSTNAME" runat="server" resourcekey="Token_FIRSTNAME" Text="Renders first name of user"/></td>
                                        <td style="width:20px;">&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[USER:LASTNAME]</td>
                                        <td><asp:Label ID="lblToken_LASTNAME" runat="server" resourcekey="Token_LASTNAME" Text="Renders last name of user"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[USER:DISPLAYNAME]</td>
                                        <td><asp:Label ID="lblToken_DISPLAYNAME" runat="server" resourcekey="Token_DISPLAYNAME" Text="Renders display name of user"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[USER:FULLNAME]</td>
                                        <td><asp:Label ID="lblToken_FULLNAME" runat="server" resourcekey="Token_FULLNAME" Text="Renders full name of user"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[USER:EMAIL]</td>
                                        <td><asp:Label ID="lblToken_EMAIL" runat="server" resourcekey="Token_EMAIL" Text="Renders email address of user"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[USER:COUNTRY]</td>
                                        <td><asp:Label ID="lblToken_COUNTRY" runat="server" resourcekey="Token_COUNTRY" Text="Renders country of user"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[USER:CITY]</td>
                                        <td><asp:Label ID="lblToken_CITY" runat="server" resourcekey="Token_CITY" Text="Renders city of user"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[USER:STREET]</td>
                                        <td><asp:Label ID="lblToken_STREET" runat="server" resourcekey="Token_STREET" Text="Renders street of user"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[USER:UNIT]</td>
                                        <td><asp:Label ID="lblToken_UNIT" runat="server" resourcekey="Token_UNIT" Text="Renders unit of user"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[USER:TELEPHONE]</td>
                                        <td><asp:Label ID="lblToken_TELEPHONE" runat="server" resourcekey="Token_TELEPHONE" Text="Renders telephone number of user"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[USER:CELL]</td>
                                        <td><asp:Label ID="lblToken_CELL" runat="server" resourcekey="Token_CELL" Text="Renders cell (mobile) number of user"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[USER:FAX]</td>
                                        <td><asp:Label ID="lblToken_FAX" runat="server" resourcekey="Token_FAX" Text="Renders fax number of user"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[USER:TIMEZONE]</td>
                                        <td><asp:Label ID="lblToken_TIMEZONE" runat="server" resourcekey="Token_TIMEZONE" Text="Renders time zone of user"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[MAINCONTENT]</td>
                                        <td><asp:Label ID="lblToken_MAINCONTENT" runat="server" resourcekey="Token_MAINCONTENT" Text="Renders content of the slide according to the settings of each slide. Content of the slide can be pictures, html codes, modules, or a combination of all"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[HASCONTROLLER][/HASCONTROLLER]</td>
                                        <td><asp:Label ID="lblToken_HASCONTROLLER" runat="server" resourcekey="Token_HASCONTROLLER" Text="Renders content inside this token if show controller is Yes"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[HASNOCONTROLLER][/HASNOCONTROLLER]</td>
                                        <td><asp:Label ID="lblToken_HASNOCONTROLLER" runat="server" resourcekey="Token_HASNOCONTROLLER" Text="Renders content inside this token if show controller is No"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[LOOP]<br />[/LOOP]</td>
                                        <td><asp:Label ID="lblToken_LOOP" runat="server" resourcekey="Token_LOOP" Text="Is a loop that repeats itself based on number of the slides. Inside the loop local tokens and html codes can be used"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                </table>

                        <br />
                        <dnn:SectionHead ID="dshLocalTokens" runat="server" Cssclass="Head" IncludeRule="True" IsExpanded="true" ResourceKey="dshLocalTokens" Section="tblLocalTokens" Text="Local Tokens"  />
                            <table id="tblLocalTokens" runat="server" cellspacing="3" cellpadding="3" style="width:100%;font: normal arial 12px;">
                                <tr>
                                    <td style="width: 220px;">[MODULEID]</td>
                                    <td style="width: 520px;"><asp:Label ID="lblToken_MODULEID" runat="server" resourcekey="Token_MODULEID" Text="Renders module id of slider"/></td>
                                    <td style="width:20px;">&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[ITEMID]</td>
                                    <td><asp:Label ID="lblToken_ITEMID" runat="server" resourcekey="Token_ITEMID" Text="Renders unique item id of each slide"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[ITEMINDEX]</td>
                                    <td><asp:Label ID="lblToken_ITEMINDEX" runat="server" resourcekey="Token_ITEMINDEX" Text="Renders slide number"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[TITLE]</td>
                                    <td><asp:Label ID="lblToken_TITLE" runat="server" resourcekey="Token_TITLE" Text="Renders slide title"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[HASTITLE]<br />[/HASTITLE]</td>
                                    <td><asp:Label ID="lblToken_HASTITLE" runat="server" resourcekey="Token_HASTITLE" Text="Renders content inside this token if the slide has a title"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[HASNOTITLE]<br />[/HASNOTITLE]</td>
                                    <td><asp:Label ID="lblToken_HASNOTITLE" runat="server" resourcekey="Token_HASNOTITLE" Text="Renders content inside this token if the slide does not have a title"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[TITLE:XX]</td>
                                    <td><asp:Label ID="lblToken_TITLEXX" runat="server" resourcekey="Token_TITLEXX" Text="Renders title of slide restricted by number of characters. E.g. replace XX with 15 to restrict title to 50 characters"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[SUBTITLE]</td>
                                    <td><asp:Label ID="lblToken_SUBTITLE" runat="server" resourcekey="Token_SUBTITLE" Text="Renders slide subtitle"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[HASSUBTITLE]<br />[/HASSUBTITLE]</td>
                                    <td><asp:Label ID="lblToken_HASSUBTITLE" runat="server" resourcekey="Token_HASSUBTITLE" Text="Renders content inside this token if the slide has a subtitle"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[HASNOSUBTITLE]<br />[/HASNOSUBTITLE]</td>
                                    <td><asp:Label ID="lblToken_HASNOSUBTITLE" runat="server" resourcekey="Token_HASNOSUBTITLE" Text="Renders content inside this token if the slide does not have a subtitle"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[SUBTITLE:XX]</td>
                                    <td><asp:Label ID="lblToken_SUBTITLEXX" runat="server" resourcekey="Token_SUBTITLEXX" Text="Renders subtitle of slide restricted by number of characters. E.g. replace XX with 15 to restrict subtitle to 50 characters"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[DESCRIPTION]</td>
                                    <td><asp:Label ID="lblToken_DESCRIPTION" runat="server" resourcekey="Token_DESCRIPTION" Text="Renders slide description"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[HASDESCRIPTION]<br />[/HASDESCRIPTION]</td>
                                    <td><asp:Label ID="lblToken_HASDESCRIPTION" runat="server" resourcekey="Token_HASDESCRIPTION" Text="Renders content inside this token if the slide has a description"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[HASNODESCRIPTION]<br />[/HASNODESCRIPTION]</td>
                                    <td><asp:Label ID="lblToken_HASNODESCRIPTION" runat="server" resourcekey="Token_HASNODESCRIPTION" Text="Renders content inside this token if the slide does not have a description"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[DESCRIPTION:XX]</td>
                                    <td><asp:Label ID="lblToken_DESCRIPTIONXX" runat="server" resourcekey="Token_DESCRIPTIONXX" Text="Renders description of slide restricted by number of characters. E.g. replace XX with 15 to restrict description to 50 characters"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[LINK]</td>
                                    <td><asp:Label ID="lblToken_LINK" runat="server" resourcekey="Token_LINK" Text="Renders a link to a URL, page, or file set in the settings of the slide"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[HASLINK]</td>
                                    <td><asp:Label ID="lblToken_HASLINK" runat="server" resourcekey="Token_HASLINK" Text="Renders content inside this token if the slide has a link"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[HASNOLINK]</td>
                                    <td><asp:Label ID="lblToken_HASNOLINK" runat="server" resourcekey="Token_HASNOLINK" Text="Renders content inside this token if the slide does not have a link"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[LINKTARGET]</td>
                                    <td><asp:Label ID="lblToken_LINKTARGET" runat="server" resourcekey="Token_LINKTARGET" Text="Renders target of the link"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[IMAGE]</td>
                                    <td><asp:Label ID="lblToken_IMAGE" runat="server" resourcekey="Token_IMAGE" Text="Renders image of the slide without any changes"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[HASIMAGE]</td>
                                    <td><asp:Label ID="lblToken_HASIMAGE" runat="server" resourcekey="Token_HASIMAGE" Text="Renders content inside this token if the slide has an image"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[HASNOIMAGE]</td>
                                    <td><asp:Label ID="lblToken_HASNOIMAGE" runat="server" resourcekey="Token_HASNOIMAGE" Text="Renders content inside this token if the slide does not have an image"/></td>
                                    <td>&nbsp;</td>
                                </tr>

                                <tr>
                                    <td>[IMAGEXXYY]</td>
                                    <td><asp:Label ID="lblToken_IMAGEXXYY" runat="server" resourcekey="Token_IMAGEXXYY" Text="Renders the image of the slide with a specific height and width. XX stands for width and YY stands for height"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[IMAGEXXYYZZ]</td>
                                    <td><asp:Label ID="lblToken_IMAGEXXYYZZ" runat="server" resourcekey="Token_IMAGEXXYYZZ" Text="Renders the image of the slide with a specific width, height and resize mode. XX stands for width, YY stands for height and ZZ stands for resize mode, which is one of the values of crop or fit"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[IMAGELINK]</td>
                                    <td><asp:Label ID="lblToken_IMAGELINK" runat="server" resourcekey="Token_IMAGELINK" Text="Renders slide image link. Displays nothing if no image selected"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[IMAGEALT]</td>
                                    <td><asp:Label ID="lblToken_IMAGEALT" runat="server" resourcekey="Token_IMAGEALT" Text="Renders an alternate text to be displayed by browsers that are not able to display slide image"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[THUMBNAIL]</td>
                                    <td><asp:Label ID="lblToken_THUMBNAIL" runat="server" resourcekey="Token_THUMBNAIL" Text="Renders thumbnail of the slide without any changes"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[HASTHUMBNAIL][/HASTHUMBNAIL]</td>
                                    <td><asp:Label ID="lblToken_HASTHUMBNAIL" runat="server" resourcekey="Token_HASTHUMBNAIL" Text="Renders content inside this token if the slide has a thumbnail"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[HASNOTHUMBNAIL][/HASNOTHUMBNAIL]</td>
                                    <td><asp:Label ID="lblToken_HASNOTHUMBNAIL" runat="server" resourcekey="Token_HASNOTHUMBNAIL" Text="Renders content inside this token if the slide does not have a thumbnail"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[THUMBNAILXXYY]</td>
                                    <td><asp:Label ID="lblToken_THUMBNAILXXYY" runat="server" resourcekey="Token_THUMBNAILXXYY" Text="Renders the thumbnail of the slide with a specific height and width. XX stands for width and YY stands for height"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[THUMBNAILXXYYZZ]</td>
                                    <td><asp:Label ID="lblToken_THUMBNAILXXYYZZ" runat="server" resourcekey="Token_THUMBNAILXXYYZZ" Text="Renders the thumbnail of the slide with a specific width, height and resize mode. XX stands for width, YY stands for height and ZZ stands for resize mode, which is one of the values of crop or fit"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[THUMBNAILLINK]</td>
                                    <td><asp:Label ID="lblToken_THUMBNAILLINK" runat="server" resourcekey="Token_THUMBNAILLINK" Text="Renders slide thumbnail link. Displays nothing if no image selected"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[THUMBNAILALT]</td>
                                    <td><asp:Label ID="lblToken_THUMBNAILALT" runat="server" resourcekey="Token_THUMBNAILALT" Text="Renders an alternate text to be displayed by browsers that are not able to display slide thumbnail"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[TOOLTIPCLASS]</td>
                                    <td><asp:Label ID="lblToken_TOOLTIPCLASS" runat="server" resourcekey="Token_TOOLTIPCLASS" Text="Renders the name of the class for whom Tooltip will be displayed. For displaying tool tip in an html tag, put this token in its attribute"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[TOOLTIPCONTENT]</td>
                                    <td><asp:Label ID="lblToken_TOOLTIPCONTENT" runat="server" resourcekey="Token_TOOLTIPCONTENT" Text="Renders slide tooltip content. You do not usually need to use it"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[ISITEMINDEX:XX]<br />[/ISITEMINDEX:XX]</td>
                                    <td><asp:Label ID="lblToken_ISITEMINDEXXX" runat="server" resourcekey="Token_ISITEMINDEXXX" Text="Renders content inside this token for specific slide number. XX stands for slide number"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[ISFIRST][/ISFIRST]</td>
                                    <td><asp:Label ID="lblToken_ISFIRST" runat="server" resourcekey="Token_ISFIRST" Text="Renders content inside this token if it is first slide"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[ISNOTFIRST][/ISNOTFIRST]</td>
                                    <td><asp:Label ID="lblToken_ISNOTFIRST" runat="server" resourcekey="Token_ISNOTFIRST" Text="Renders content inside this token if it is not first slide"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[ISLAST][/ISLAST]</td>
                                    <td><asp:Label ID="lblToken_ISLAST" runat="server" resourcekey="Token_ISLAST" Text="Renders content inside this token if it is last slide"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[ISNOTLAST][/ISNOTLAST]</td>
                                    <td><asp:Label ID="lblToken_ISNOTLAST" runat="server" resourcekey="Token_ISNOTLAST" Text="Renders content inside this token if it is not last slide"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[ISINROLE:XX][/ISINROLE:XX]</td>
                                    <td><asp:Label ID="lblToken_ISINROLEXX" runat="server" resourcekey="Token_ISINROLEXX" Text="Renders content inside this token for specific role. XX stand for role name"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[ISLOCALE:XX][/ISLOCALE:XX]</td>
                                    <td><asp:Label ID="lblToken_ISLOCALEXX" runat="server" resourcekey="Token_ISLOCALEXX" Text="Renders content inside this token for specific locale. XX stand for locale name"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[HASNHORIZONTALORIENTATION]<br />[/HASNHORIZONTALORIENTATION]</td>
                                    <td><asp:Label ID="lblToken_HASNHORIZONTALORIENTATION" runat="server" resourcekey="Token_HASNHORIZONTALORIENTATION" Text="Renders content inside this token if orientation of slider is horizontal"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[HASVERTICALORIENTATION]<br />[/HASVERTICALORIENTATION]</td>
                                    <td><asp:Label ID="lblToken_HASVERTICALORIENTATION" runat="server" resourcekey="Token_HASVERTICALORIENTATION" Text="Renders content inside this token if orientation of slider is vertical"/></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>[HASINTROTEXT]<br />[/HASINTROTEXT]</td>
                                    <td><asp:Label ID="lblToken_HASINTROTEXT" runat="server" resourcekey="Token_HASINTROTEXT" Text="Renders content inside this token if the introtext display for this slide is enabled and the general display of introtext is enabled."/></td>
                                    <td>&nbsp;</td>
                                </tr>
                            </table>
                        <br />
		            </div>
                </div>
            </td>
        </tr>
    </table>
</div>

<div id="TabStyle">
    <table style="width: 100%;" cellspacing="2" cellpadding="2" class="normal">
        <tr>
            <td>
                <div style="position:relative;">
                    <asp:TextBox ID="txtStyle" runat="server" TextMode="MultiLine" CssClass="DS-TextArea-Long" Width="640" height="445"></asp:TextBox>
                 
                    <div class="TokenHelp">
                        <a id="style-dialog-link" class='TemplateLink' href="#"></a>
                    </div>

                    <div class="dialog" id="style-dialog" title="Style Tokens">
			            <br />
                        <dnn:SectionHead ID="dshStyleTokens" runat="server" Cssclass="Head" IncludeRule="True" IsExpanded="true" ResourceKey="dshStyleTokens" Section="tblStyleTokens" Text="Style Tokens"  />
                            <table id="tblStyleTokens" runat="server" cellspacing="3" cellpadding="3" style="width:100%;font: normal arial 12px;">
                                    <tr>
                                        <td style="width: 220px;">[MODULEID]</td>
                                        <td style="width: 520px;"><asp:Label ID="lblToken_MODULEID2" runat="server" resourcekey="Token_MODULEID" Text="Renders module id of Slider"/></td>
                                        <td style="width:20px;">&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[PATH]</td>
                                        <td><asp:Label ID="lblToken_PATH" runat="server" resourcekey="Token_PATH" Text="Renders virtual path of template directory"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[WIDTH]</td>
                                        <td><asp:Label ID="lblToken_WIDTH" runat="server" resourcekey="Token_WIDTH" Text="Renders width of slider"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[HEIGHT]</td>
                                        <td><asp:Label ID="lblToken_HEIGHT" runat="server" resourcekey="Token_HEIGHT" Text="Renders height of slider"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[SIDEBARWIDTH]</td>
                                        <td><asp:Label ID="lblToken_SIDEBARWIDTH" runat="server" resourcekey="Token_SIDEBARWIDTH" Text="Renders sidebar width of slider"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[BORDERWIDTH]</td>
                                        <td><asp:Label ID="lblToken_BORDERWIDTH" runat="server" resourcekey="Token_BORDERWIDTH" Text="Renders border width of slider"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[BORDERCOLOR]</td>
                                        <td><asp:Label ID="lblToken_BORDERCOLOR" runat="server" resourcekey="Token_BORDERCOLOR" Text="Renders border color of slider"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[BACKGROUNDCOLOR]</td>
                                        <td><asp:Label ID="lblToken_BACKGROUNDCOLOR" runat="server" resourcekey="Token_BACKGROUNDCOLOR" Text="Renders background color of slider"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[PROGRESSBARCOLOR]</td>
                                        <td><asp:Label ID="lblToken_PROGRESSBARCOLOR" runat="server" resourcekey="Token_PROGRESSBARCOLOR" Text="Renders progress bar color"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[INTROTEXTWIDTH]</td>
                                        <td><asp:Label ID="lblToken_INTROTEXTWIDTH" runat="server" resourcekey="Token_INTROTEXTWIDTH" Text="Renders introtext width"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[INTROTEXTHEIGHT]</td>
                                        <td><asp:Label ID="lblToken_INTROTEXTHEIGHT" runat="server" resourcekey="Token_INTROTEXTHEIGHT" Text="Renders introtext height"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[ISINTERNETEXPLORER]<br />[/ISINTERNETEXPLORER]</td>
                                        <td><asp:Label ID="lblToken_ISINTERNETEXPLORER" runat="server" resourcekey="Token_ISINTERNETEXPLORER" Text="Renders content inside this token if users web browser is Internet Explorer"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[ISINTERNETEXPLORER6]<br />[/ISINTERNETEXPLORER6]</td>
                                        <td><asp:Label ID="lblToken_ISINTERNETEXPLORER6" runat="server" resourcekey="Token_ISINTERNETEXPLORER6" Text="Renders content inside this token if users web browser is Internet Explorer version 6"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[ISINTERNETEXPLORER7]<br />[/ISINTERNETEXPLORER7]</td>
                                        <td><asp:Label ID="lblToken_ISINTERNETEXPLORER7" runat="server" resourcekey="Token_ISINTERNETEXPLORER7" Text="Renders content inside this token if users web browser is Internet Explorer version 7"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[ISINTERNETEXPLORER8]<br />[/ISINTERNETEXPLORER8]</td>
                                        <td><asp:Label ID="lblToken_ISINTERNETEXPLORER8" runat="server" resourcekey="Token_ISINTERNETEXPLORER8" Text="Renders content inside this token if users web browser is Internet Explorer version 8"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[ISINTERNETEXPLORER9]<br />[/ISINTERNETEXPLORER9]</td>
                                        <td><asp:Label ID="lblToken_ISINTERNETEXPLORER9" runat="server" resourcekey="Token_ISINTERNETEXPLORER9" Text="Renders content inside this token if users web browser is Internet Explorer version 9"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[ISFIREFOX]<br />[/ISFIREFOX]</td>
                                        <td><asp:Label ID="lblToken_ISFIREFOX" runat="server" resourcekey="Token_ISFIREFOX" Text="Renders content inside this token if users web browser is Firefox"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[ISSAFARI]<br />[/ISSAFARI]</td>
                                        <td><asp:Label ID="lblToken_ISSAFARI" runat="server" resourcekey="Token_ISSAFARI" Text="Renders content inside this token if users web browser is Safari"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[ISOPERA]<br />[/ISOPERA]</td>
                                        <td><asp:Label ID="lblToken_ISOPERA" runat="server" resourcekey="Token_ISOPERA" Text="Renders content inside this token if users web browser is Opera"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>[ISCHROME]<br />[/ISCHROME]</td>
                                        <td><asp:Label ID="lblToken_ISCHROME" runat="server" resourcekey="Token_ISCHROME" Text="Renders content inside this token if users web browser is Chrome"/></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                </table>
                        <br />
		            </div>
                </div>
            </td>
        </tr>
    </table>
</div>

</div>
</div>

<br />
                
<table cellpadding="0" cellspacing="0" border="0" width="100%" class="tblcontent normal">
    <tr>
        <td colspan="2">&nbsp;</td>
    </tr>
    <tr>
        <td colspan="2" style="width: 100%; text-align: center;">
            <asp:LinkButton ID="cmdUpdate" runat="server" resourcekey="cmdUpdate" Text="Update" CssClass="Update" />
            &nbsp;
            <asp:LinkButton ID="cmdReturn" runat="server" resourcekey="cmdReturn" Text="Return" CssClass="Return" />
        </td>
    </tr>
    <tr>
        <td colspan="2">&nbsp;</td>
    </tr>
</table>


<script language="javascript" type="text/javascript">
    /*globals jQuery, window, Sys */
    (function ($, Sys) {
        function setupTabs() {
            $('#TabsAdminWrapper').dnnTabs().dnnPanels();
            $("ul").removeClass("dnnAdminTabNav");
        }
        $(document).ready(function () {
            setupTabs();
            Sys.WebForms.PageRequestManager.getInstance().add_endRequest(function () {
                setupTabs();
            });
        });
    } (jQuery, window.Sys));
</script>